package com.jwipc.sys.controller.pc;

import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import static com.jwipc.sys.constant.ModuleConst.MODULE_ROOT;

/**
 * <p> </p>
 *
 * @author ZhangJie
 * @version 1.0
 * @since JDK 1.8
 */
@Controller
@RequestMapping(MODULE_ROOT + "/company")
@RequiredArgsConstructor
public class CompanyPageController {
    @GetMapping("/index")
    public String index() {
        return MODULE_ROOT + "/company/list";
    }
    @GetMapping("tree")
    public String orgTree() {
        return MODULE_ROOT + "/company/tree";
    }
}
